讓axios支援舊版ie的設定

 3,426 total views,  1 views today

今天在寫前端日曆時,準備要發佈到github了,結果用ie11跑了一下,居然日曆消失了,google了一下原來是只有支援ie11,但是公司還有很多在用xp的,只好找一下看有沒有辦法支援了。

使用chrome可以正常出現,日曆下拉選單。

但是如果使用 ie 居然整個 input不見,原來是要安裝es6-promise

npm install es6-promise -save

接下來打開 webpack.min.js 加入

mix.js('resources/js/app.js', 'public/js')
    .js('node_modules/es6-promise/dist/es6-promise.auto.min.js','public/js')

接下來在 view 的檔案要先引入

<script src="{{ mix('/js/es6-promise.auto.min.js') }}"></script>

重新整理後,在舊版ie就能正常顯示了

發表迴響

%d 位部落客按了讚: